# -*- coding: utf-8 -*-
from setuptools import setup, find_packages

with open('requirements.txt') as f:
	install_requires = f.read().strip().split('\n')

# get version from __version__ variable in influxframework_helper/__init__.py
from influxframework_helper import __version__ as version

setup(
	name='influxframework_helper',
	version=version,
	description='InfluxFramework Helper',
	author='Quantum Bit Core',
	author_email='qubitcore.io@gmail.com',
	packages=find_packages(),
	zip_safe=False,
	include_package_data=True,
	install_requires=install_requires
)
