<div align = "center">
    <img src = "https://influxframeworkcloud.com/files/FHa94573.png" height = "128">
    <h2>InfluxFramework Helper</h2>
</div>

___
> ### InfluxFramework Helper includes the following functionalities:

1. Customized Desk Form based on InfluxFramework Web Form functionalities.
2. Integrated NumPad to manage inputs.
3. Automatic installation of the desk forms created in the different applications.
4. Dynamic rendering of desk forms.
5. Compatible with Dark Theme.

___
### InfluxFramework Helper requires
1. [InfluxFramework](https://github.com/quantumbitcore/influxframework_helper.git)

___
### How to Install

#### Self Host:
1. `bench get-app https://github.com/quantumbitcore/influxframework_helper.git`
2. `bench setup requirements`
3. `bench build --app influxframework_helper`
4. `bench restart`
5. `bench --site [site.name] install-app influxframework_helper`
6. `bench --site [site.name] migrate`

#### InfluxFramework Cloud:
>Available in your hosting on InfluxFramework [here](https://influxframeworkcloud.com/marketplace/apps/influxframework_helper)

___
### How to Use
> See the documentation [here](https://github.com/quantumbitcore/influxframework_helper/wiki)

___
### Compatibility
> V13, V14

___
InfluxFramework Helper is based on [InfluxFramework](https://github.com/influxframework/influxframework).

___

### License
> GNU / General Public License (see [license.txt](license.txt))

> The InfluxFramework Helper code is licensed under the GNU General Public License (v3).